V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
MySQL 5.5 Community Server
MySQL 5.6 Community Server
Percona Configuration Wizard
XtraBackup 搭建主从复制
Great Sites on MySQL
Percona
MySQL Performance Blog
Severalnines
推荐管理工具
Sequel Pro
phpMyAdmin
推荐书目
MySQL Cookbook
MySQL 相关项目
MariaDB
Drizzle
参考文档
http://mysql-python.sourceforge.net/MySQLdb.html
pinews
V2EX  ›  MySQL

mysql8.0 默认 plugin 为 caching_sha2_password,有客户端支持吗? navicat, PHP (php7.4 待确认), MySQL Workbench 都不支持啊

  •  
  •   pinews · 265 天前 · 2537 次点击
    这是一个创建于 265 天前的主题,其中的信息可能已经有所发展或是发生改变。
    自家的客户端都不支持,这个默认的意义何在?
    13 条回复    2020-11-11 19:35:52 +08:00
    a719114136
        1
    a719114136   265 天前
    你 Workbench 不是最新版吧,最新版是支持的。

    其他客户端应该都支持了,毕竟已经出了好几年了,不支持应该是版本问题。我用 datagrip 是 ok 的
    orchid9210
        2
    orchid9210   265 天前
    同上,datagrip 完事
    zoharSoul
        3
    zoharSoul   265 天前
    jdbc 支持的
    letitbesqzr
        4
    letitbesqzr   265 天前
    navicat 老早就支持了...
    Love4Taylor
        5
    Love4Taylor   265 天前
    navicat 没问题,php 也没问题

    [email protected]:~$ sudo docker exec -it php php -v
    PHP 7.4.12 (cli) (built: Nov 5 2020 20:24:10) ( NTS )
    Copyright (c) The PHP Group
    Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.12, Copyright (c), by Zend Technologies
    studentht
        6
    studentht   265 天前
    MySQL Workbench 8 没问题
    warcraft1236
        7
    warcraft1236   265 天前
    这是个啥,有没有大佬介绍一下
    lepig
        8
    lepig   265 天前
    好像 php7.3.9 以后都支持了吧
    julyclyde
        9
    julyclyde   265 天前
    遇到自家客户端都不支持,你得先考虑一下你自己的问题
    pinews
        10
    pinews   265 天前
    @a719114136
    @orchid9210
    @zoharSoul
    @letitbesqzr
    @Love4Taylor
    @studentht
    @warcraft1236
    @lepig
    @julyclyde

    回复楼上 9 位,我错了,“mysql8.0 默认 plugin 为 caching_sha2_password”是我听信了网上的传言,经我再三测试。
    centos 默认安装 msyql ,plugin 为 mysql_native_password
    默认安装 mariadb,plugin 为空,结果等同 mysql_native_password
    debian,不能安装 mysql,安装 mariadb,plugin 为 caching_sha2_password,结果的确是拒绝访问。
    MySQL Workbench,navicatl 为最新版,php7.3 都不支持,经过搜索 php7.4 好像支持,但又有问题的样子,

    那么???
    Foxkeh
        11
    Foxkeh   265 天前
    MySQL8.0 初上的时候也遇到了密码存储策略变成 caching_sha2_password 的问题,JDBC 都要至少更新到 5.1.46 , 但官方 MySQL Workbench 的确是支持的,Navicat 也是比较快提供了支持,Dbeaver 也能搞但不好用,很久以后 HeidiSQL 也开始支持, 像其他的 Sqlyog, MysqlFront, 以及 MySQLCompare 这类软件都没跟上我也就没再用了。
    julyclyde
        12
    julyclyde   265 天前
    php 你链接到新版 libmysqlclient 试试呢?
    cco
        13
    cco   265 天前
    主流的都支持了啊- -。升级下吧兄弟。
    关于   ·   帮助文档   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1042 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 19:41 · PVG 03:41 · LAX 12:41 · JFK 15:41
    ♥ Do have faith in what you're doing.